QGIS Application - Feature request #3937
QgsCsException constructor calls using unqualified std::string
2006-03-29 02:33 AM - anonymous -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Build/Install

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 13961
Description

4 constructions of QGsCSException are made w/out qualifying the 'string’ type.
This results in error in my envoronment (GNU/Linux - gcc 3.3.5).

I'll attach a patch when build succeeds (If | find out how it is done).

History

#1 - 2006-04-07 08:42 PM - Gavin Macaulay -
- Resolution set to fixed
- Status changed from Open to Closed

A couple of these instances still exist in HEAD, so I've corrected them (commit:f65d0683 (SVN r5224))

#2 - 2006-05-04 01:10 AM - anonymous -
- Resolution deleted (fixed)
- Status changed from Closed to Feedback

This bug seems to be still present in the 0.7 branch, could anyone apply it there too ?

#3 - 2006-05-15 05:47 PM - Gavin Macaulay -
- Resolution set to fixed

- Status changed from Feedback to Closed

Applied to 0.7 branch too, SVN

Files
std_string.patch 1.9 KB 2006-03-29 anonymous -
